%define debug_package %{nil}

%define _rbindir %{_exec_prefix}/bin
########################################################################
# On CentOS/RHEL, if the Software Configurations Library is installed
# and Python 2.7 is installed, then it is used. This is only available
# on CentOS 6.5 for the x86_64 architecture, at this time.
########################################################################
%define __SCL   %(if [ -d /opt/rh/python27 ]; then echo 1; else echo 0; fi)

%if 0%{?__SCL} > 0
        %define PYTHON     python27
        %define python_sitelib_old_1 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
        %define python_sitelib_old_2 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")
        %define python_sitelib %(echo python -c '"from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)"' | scl enable python27 -)
        %define _SCL_base %(echo $(dirname $(dirname `echo which python | scl enable python27 -`)))
        %define _bindir %(dirname `echo which python | scl enable python27 -`)
        %define _datadir %{_SCL_base}/share
        %define _mandir %{_datadir}/man
        %define _docdir %{_datadir}/doc
        %define  __os_install_post      \
            /usr/lib/rpm/redhat/brp-compress; \
            %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}}; \
            /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip}; \
            /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump}; \
            echo /usr/lib/rpm/brp-python-bytecompile python27 | scl enable %{PYTHON} - ; \
            /usr/lib/rpm/redhat/brp-python-hardlink; \
            %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars}
%else
        %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%endif

%define name dfdatetime
%define version 20161104
%define unmangled_version 20161104
%define release 1

Summary:	Digital Forensics Date and Time (dfDateTime).
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{unmangled_version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		dfDateTime development team <log2timeline-dev@googlegroups.com>
Packager:	log2timeline development team <log2timeline-dev@googlegroups.com>
Url:		https://github.com/log2timeline/dfdatetime
%if 0%{?__SCL} > 0
BuildRequires:  python27-python-setuptools
Requires:       python27-python-setuptools
%else
BuildRequires:	python-setuptools
%endif

%description
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%package -n python-%{name}
Summary: Digital Forensics Date and Time (dfDateTime).

%description -n python-%{name}
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%prep
########################################################################
# The system script that computes dependencies misidentifies the 
# python 2.7 dependency, so it is necessary to remove it from the
# dependency determination. 
########################################################################
%if 0%{?__SCL} > 0
cat > /tmp//pythondeps.sh << \EOF
#!/bin/sh
%{__python_requires} $* | sed -e 's/python(abi) = 2.7/python27-python(abi) = 2.7/'
EOF
chmod +x /tmp/pythondeps.sh
%define __python_requires /tmp/pythondeps.sh
%endif
%setup -n %{name}-%{unmangled_version}

%build
%if 0%{?__SCL} > 0
        echo python setup.py build | scl enable python27 -
%else
	%{__python} setup.py build
%endif

%install
%if 0%{?__SCL} > 0
        echo python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES | scl enable python27 -
%else
        %{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES -n python-%{name}
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS LICENSE README

%changelog
* Fri Nov  4 2016 Lawrence R. Rogers <lrr@cert.org> 20161104-1
* Release 20161104-1
        Version from 20161104.

* Mon Oct 17 2016 Lawrence R. Rogers <lrr@cert.org> 20161017-1
* Release 20160706-1
        Version from 20161017.

* Wed Jul  6 2016 Lawrence R. Rogers <lrr@cert.org> 20160706-1
* Release 20160706-1
        Version from 20160706.

* Fri Jun 10 2016 Lawrence R. Rogers <lrr@cert.org> 20160610-1
* Release 20160610-1
        Original release
